import request from "@/utils/request";

// 项目变更签证列表
export function apiProjectChangeVisaLists(params: any) {
  return request.get({
    url: "/project_process_management.project_change_visa/lists",
    params,
  });
}

// 添加项目变更签证
export function apiProjectChangeVisaAdd(params: any) {
  return request.post({
    url: "/project_process_management.project_change_visa/add",
    params,
  });
}

// 编辑项目变更签证
export function apiProjectChangeVisaEdit(params: any) {
  return request.post({
    url: "/project_process_management.project_change_visa/edit",
    params,
  });
}

// 删除项目变更签证
export function apiProjectChangeVisaDelete(params: any) {
  return request.post({
    url: "/project_process_management.project_change_visa/delete",
    params,
  });
}

// 项目变更签证详情
export function apiProjectChangeVisaDetail(params: any) {
  return request.get({
    url: "/project_process_management.project_change_visa/detail",
    params,
  });
}

//apiProjectChangeVisaSearch
export function apiProjectChangeVisaSearch(params: any) {
  return request.get({
    url: "/project_process_management.project_change_visa/datas",
    params,
  });
}
